﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication1
{
   /// <summary>
   /// Interaction logic for MainWindow.xaml
   /// </summary>
   public partial class MainWindow : Window
   {
      public DataTable dt = new DataTable();

      public MainWindow()
      {
         InitializeComponent();

         FieldLayout fl = new FieldLayout();
         fl.Fields.Add(AddField("col0", typeof(DateTime), "col0", true));

         for (int i = 1; i < 6; i++)
         {
            fl.Fields.Add(AddField("col" + i.ToString(), typeof(string), "col" + i.ToString(), false));
         }

         fl.Fields.Add(AddField("col6", typeof(DateTime), "col6", false));
         fl.Fields.Add(AddField("col7", typeof(DateTime), "col7", false));
         fl.Fields.Add(AddField("col8", typeof(string), "col8", false));

         xdg.FieldLayouts.Add(fl);

         LoadData();
         xdg.DataSource = dt.DefaultView;
      }

      private Field AddField(string name, Type datatype, string label, bool allowedit)
      {
         Field f = new Field();

         f.Name = name;
         f.DataType = datatype;
         f.Label = label;
         f.Visibility = System.Windows.Visibility.Visible;
         f.Width = new FieldLength(100);
         f.Settings = new FieldSettings();
         f.Settings.AllowEdit = allowedit;
         f.Settings.CellHeight = 20;
         f.Settings.CellMinHeight = 20;
         f.Settings.CellMaxHeight = 20;
         return f;
      }

      private void LoadData()
      {
         dt.Rows.Clear();
         dt.Columns.Clear();
         dt.Clear();
         dt.Columns.Add("col0", typeof(DateTime));
         dt.Columns.Add("col1", typeof(string));
         dt.Columns.Add("col2", typeof(string));
         dt.Columns.Add("col3", typeof(string));
         dt.Columns.Add("col4", typeof(string));
         dt.Columns.Add("col5", typeof(string));
         dt.Columns.Add("col6", typeof(DateTime));
         dt.Columns.Add("col7", typeof(DateTime));
         dt.Columns.Add("col8", typeof(string));

         DataRow row = dt.NewRow();
         row["col0"] = DateTime.Now;
         row["col1"] = "row 0 ";
         row["col2"] = "col 2";
         row["col3"] = "col 3";
         row["col4"] = "col 4";
         row["col5"] = "col 5";
         row["col6"] = DateTime.Now;
         row["col7"] = DateTime.Now;
         row["col8"] = "col 8";
         dt.Rows.Add(row);

         row = dt.NewRow();
         row["col0"] = DateTime.Now;
         row["col1"] = "row 0 ";
         row["col2"] = "col 2";
         row["col3"] = "col 3";
         row["col4"] = "col 4";
         row["col5"] = "col 5";
         row["col6"] = DateTime.Now;
         row["col7"] = DateTime.Now;
         row["col8"] = "col 8";
         dt.Rows.Add(row);
      }

   }
}
